Doomsday Engine - Bug #1904

fail to compile, XKeycodeToKeysym is deprecated (revision 83a88718)
2014-11-20 07:23 - eunbolt

Status: Closed Start date: 2014-11-20
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version:

Description

ubuntu 14.10 64bit
compiling with gtcreator

this is the output

/media/lvm/Src/deng/doomsday/libgui/src/input/keyevent.cpp:-1: In function 'int xllScancodeToDDKey
(int) ':

/media/lvm/Src/deng/doomsday/libgui/src/input/keyevent.cpp:353: warning: 'KeySym XKeycodeToKeysym (
Display*, KeyCode, int)' is deprecated (declared at /usr/include/X11/X1ib.h:1699) [-Wdeprecated-de
clarations]

KeySym sym = XKeycodeToKeysym(disp, scancode, 0);

https://stackoverflow.com/questions/9838385/replace-of-xkeycodetokeysym

Associated revisions

Revision a7d41696 - 2014-11-21 22:40 - skyjake
Fixed|libgui|X11: Replaced use of deprecated XKeycodeToKeysym

Using solution from:
https: koverflow.com ion replace-of-xki ki m

IssuelD #1904

History

#1 - 2014-11-20 08:25 - skyjake
- Tags set to X11, Input
- Status changed from New to In Progress

- Assignee set to skyjake

#2 - 2014-11-21 22:39 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 2014-11-21 22:50 - skyjake

| replaced the deprecated function, however this shouldn't be leading to a build failure. Are you sure you are not missing any dependencies etc.?

#4 - 2014-11-22 02:38 - eunbolt
That fixed it.

#5 - 2014-11-22 07:41 - skyjake

- Status changed from Resolved to Closed
#6 - 2015-01-16 12:16 - skyjake

- Subject changed from fail to compile, XKeycode ToKeysym is deprecated (revision 83a887180c44d812bdd5aefca38d6be552ef6edb) to fail to
compile, XKeycodeToKeysym is deprecated (revision 83a88718)
#7 - 2015-06-08 10:47 - skyjake
- Target version deleted (49)
